# -*- coding: utf-8 -*-
"""
Created on Tue Jan 31 15:47:07 2023

@author: LMSkaran
"""

import tensorflow as tf
import numpy as np
import cv2
import time
from videoprocessing import undistort_fast, segment_image, segment_image_laser, UP, DOWN, LEFT, RIGHT
from matplotlib import pyplot as plt
e = 0
# fps=0
st = time.time()
counter = 1
max_h, max_w = (400, 400)
takgol_imgs = []
# image = cv2.imread('C:/Users/LMSkaran/Desktop/images/mahoor/mahoor2/mahoor_1675685437.png')
# image = cv2.imread('C:/Users/LMSkaran/Desktop/images/mahoor/mahoor1/mahoor_1675684620.png')


# image = cv2.imread('C:/Users/LMSkaran/Desktop/images/mahoor/mahoor2/mahoor_1675685545.png')
# image = cv2.imread('C:/Users/LMSkaran/Desktop/images/mahoor/mahoor1/mahoor_1675684751.png')


# image = cv2.imread('C:/Users/LMSkaran/Desktop/images/takgol/takgol2/takgol_1675640918.png')
image = cv2.imread('C:/Users/LMSkaran/Desktop/new/Image__2023-02-13__16-59-35.bmp')
image = undistort_fast(image)
print(image.shape)
cv2.imshow('image', image)
ret, image = segment_image(image)

cv2.imshow('tttt', image)
key = cv2.waitKey(0)
if key & 0xFF == ord('q'):
    cv2.destroyAllWindows()